ZIP_SOURCE_FILEP(3)

NAME
zip_source_filep - create data source from FILE *

LIBRARY
libzip (-lzip)

SYNOPSIS
struct zip_source *
zip_source_filep(struct zip *archive, FILE *file, zip_uint64_t start, zip_int64_t len);

DESCRIPTION
The function zip_source_filep() creates a zip source from a file stream. zip_source_filep() reads len bytes from offset start from the open file stream file. If len is 0 or -1, the whole file (starting from start) is used.

RETURN VALUES
Upon successful completion, the created source is returned. Otherwise, NULL is returned and the error code in archive is set to indicate the error.

ERRORS
zip_source_filep() fails if:

[ZIP_ER_INVAL]
    file, start, or len are invalid.

[ZIP_ER_MEMORY]
    Required memory could not be allocated.

SEE ALSO
libzip(3), zip_add(3), zip_replace(3), zip_source_buffer(3), zip_source_file(3), zip_source_free(3), zip_source_function(3), zip_source_zip(3)

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>